Raspberry i problem z WiFi pod Raspbarianem


(Barthezz) #1

Witam.

Posiadam najnowszą wersję Raspberry  oraz kartę WiFi USB Pentagram Hornet P 6132-12 której nie moge uruchomić pod systemem Raspbarian..

Po wpisaniu polecenia

dmesg

na liście pojawia mi się info, o urządzeniu realtek.

Po wpisaniu

sudo apt-get install firmware-realtek

pojawia się informacja o tym, ze posiadam najnowsze oprogramowanie.

WiFi jak nie działało tak nie działa. bardzo proszę o pomoc.


(roobal) #2

Załadowałeś moduł dla twojej karty?


(Barthezz) #3

Raczej nie gdyż nie wiem o czym mowa i jak to zrobić.

Bardzo proszę o instrukcje :slight_smile:


(nintyfan) #4

Powinno wystarczyć ponowne włożenie karty do gniazda USB.


(Barthezz) #5

Wielokrotnie, nic nie pomaga.


(nintyfan) #6

Po włożeniu karty wykonaj:

lsmod

(Barthezz) #7
pi@raspberrypi ~ $ lsmod
Module Size Used by
snd_seq_dummy 1651 0 
sg 19328 0 
snd_bcm2835 18169 0 
snd_soc_bcm2708_i2s 5486 0 
regmap_mmio 2818 1 snd_soc_bcm2708_i2s
snd_soc_core 128166 1 snd_soc_bcm2708_i2s
regmap_spi 1913 1 snd_soc_core
snd_pcm_dmaengine 5481 1 snd_soc_core
joydev 9096 0 
snd_pcm 81518 3 snd_bcm2835,snd_soc_core,snd_pcm_dmaengine
snd_page_alloc 5168 1 snd_pcm
regmap_i2c 1657 1 snd_soc_core
snd_compress 8136 1 snd_soc_core
snd_seq 54581 4 snd_seq_dummy
evdev 10497 6 
snd_timer 20353 2 snd_pcm,snd_seq
snd_seq_device 6485 2 snd_seq,snd_seq_dummy
leds_gpio 2055 0 
led_class 4119 1 leds_gpio
snd 61518 8 snd_bcm2835,snd_soc_core,snd_timer,snd_pcm,snd_seq,snd_seq_device,snd_compress
pi@raspberrypi ~ $

(roobal) #8

Podłącz kartę do USB i pokaż wynik lsusb.


(Barthezz) #9

Fragment wyniku polecenia lsusb:

Bus 001 Device 002: ID 0424:9514 Standard Microsystems Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 0424:ec00 Standard Microsystems Corp. 
Bus 001 Device 007: ID 09da:0080 A4 Tech Co., Ltd 
Bus 001 Device 004: ID 0bda:8179 Realtek Semiconductor Corp. 
Bus 001 Device 006: ID 0b38:0003 Gear Head Keyboard
Bus 001 Device 005: ID 13fe:4100 Kingston Technology Company Inc.

(nintyfan) #10

 

Od razu zaznaczam, że może nie mam racji. Wygląda na to, że nie masz sterowników. Zainstalowałeś firmware, ale brakuje sterownków.


(Barthezz) #11

Przy próbie instalacji sterownika z płyty pojawia się coś w rodzaju błędu z modułami. Jak go rozwiązać?

Oto co mi wyskoczyło w trakcie instalacji:

Please select card type(1/2):
1) RTL8188eus
2) RTL8189es
#? 1
You have selected RTL8188eus
rtw_version.h has existed!
Authentication requested [root] for make clean:
install.sh: 38: [: unexpected operator
rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
rm -fr .tmp_versions
rm -fr Module.symvers ; rm -fr Module.markers ; rm -fr modules.order
cd core/efuse ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
cd core ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
cd hal/rtl8188e/usb ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
cd hal/rtl8188e ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
cd hal/OUTSRC/rtl8188e ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko 
cd hal/OUTSRC/ ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko 
cd hal ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
cd os_dep/linux ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
cd os_dep ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
Authentication requested [root] for make driver:
install.sh: 48: [: unexpected operator
make ARCH=armv6l CROSS_COMPILE= -C /lib/modules/3.12.22+/build M=/media/linux/driver/rtl8188EUS_rtl8189ES_linux_v4.1.2.2_5805.20121116 modules
make: *** /lib/modules/3.12.22+/build: No such file or directory. Stop.
make: *** [modules] Error 2
##################################################
Compile make driver error: 2
Please check error Mesg
##################################################
pi@raspberrypi /media/linux $

(saitoh) #12

Po co kombinujesz jak nierozgarnięty użytkownik Ubuntu?

Sterowniki są od dawna w jądrze. Nawet dla wersji stabilnej Debiana.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=726398#54


(Barthezz) #13

a zatem dlaczego nie działa?


(saitoh) #14

Bo masz problemy z czytaniem.

 

Masz za stare jądro:

fixed 726398 3.13.7-1~bpo70+1